/*---------------------------------------------------------------------------*

  Copyright 2010-2011 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/
// -----------------------------------------------------------------------------
//  wkgfx_GTXLoader.h
//
// -----------------------------------------------------------------------------

#ifndef __WKGFX_GTXLOADER_H__
#define __WKGFX_GTXLOADER_H__

namespace WKgfx
{
    class GTXImageLoader
    {
        public:
            GTXImageLoader() : pNativeImgPtr(0) {}
            bool LoadAlignedGTXFile(const void *pGTXData, int textureIndex);
            int GetWidth();
            int GetHeight();
            int GetImageSize();
            void *GetImageDataPointer();
            void *GetNativeImgPtr();
            void FreeImageData();
            void FreeHeader();
        private:
            void *pNativeImgPtr;
    };
};

#endif /// __WKSUP_GFD_H__
